package com.cico.nest.lcdp.boot.core.qxsd.application.service;

import com.cico.nest.lcdp.boot.core.qxsd.adapter.web.vo.ReportCarTypeFlowVO;
import com.cico.nest.lcdp.boot.core.qxsd.adapter.web.vo.TableStatsReqVO;

import java.util.List;
import java.util.Map;

/**
 * @author zws
 * @date 2024/10/28
 */
public interface StatisticalReportsService {


    List<ReportCarTypeFlowVO> carTypeFlow(TableStatsReqVO tableStatsReqVO);

    List<Map<String,Object>> carTypeFlowDay(TableStatsReqVO tableStatsReqVO);

    List<Map<String,Object>> carTypeFlowHour(TableStatsReqVO tableStatsReqVO);

    List<Map<String,Object>> carTypeSpeedTrend(TableStatsReqVO tableStatsReqVO);
}
